import gym
import numpy as np
import ipdb
import tensorflow as tf
from policy_gradient import  PolicyGradient

#action
action_limit = 6
dist = "Gaussian"

#defining params
if __name__ == '__main__':

    #env = gym.make("MountainCarContinuous-v0")
    env={"Name": "PathoMC",
        "observation_dim": 1,
        "action_dim": 1,
        "step_size": 2e-3,
        "distribution": dist, #gaussian
        "action_limit": action_limit} #more
    
    action_space_type = "continuous_const_variance"

    #total iterations
    total_iters = 1
    
    path = "./path/"

    #fixed seed for tf
    seed = 4

    for iter in range(0, total_iters) :

        #seed the model
        tf.random.set_seed(seed)
        np.random.seed(seed)

        #save the output
        output_path = path + str(seed) + '_' + str(action_limit) + '/'

        #initialize the model with new output path
        model = PolicyGradient(env, action_space_type,
                            max_ep_len= 100,
                            num_iterations=2000,
                            batch_size=1,
                            output_path= output_path)

        #train the model 
        model.train()

        #print
        